var uploade_url='';
// 初始化Web Uploader
  var uploader = WebUploader.create({
      // 选完文件后，是否自动上传。
      auto: false,
      // swf文件路径
      swf:'webuploader/Uploader.swf',
      // 文件接收服务端。根据个人项目进行修改
      server: "",
      // 选择文件的按钮。可选。
      // 内部根据当前运行是创建，可能是input元素，也可能是flash.
      pick: {
        id: '#filePicker',
        multiple:false, 
      },
      dnd: '#filePicker',
      // 只允许选择图片文件。
      accept: {
          title: 'Images',
          extensions: 'gif,jpg,jpeg,bmp,png',
          mimeTypes: 'image/*'
      }
  });
  // 当有文件添加进来的时候
  uploader.on( 'fileQueued', function( file ) {
      var $li = $(
              '<div id="' + file.id + '" class="file-item thumbnail">' +
                  '<img>' +
                  '<div class="file-panel" style="height:0px;">'+
                  '<span class="cancel" onclick="del()">删除</span>'+
                  '</div>'+
                  '<div class="info">等待上传...</div>' +
              '</div>'
              ),
          $img = $li.find('img');
          $("#btn").show();
          $('#filePicker .webuploader-pick').css({'background':'#fff','border-color':'#000','border-style':'solid','border-width':'1px','color':'#000'}).text('更换图片');
      // $list为容器jQuery实例
      $(".uploader-list").html( $li );
      // 删除按钮触发点击事件
      $(".cancel").on('click', function() {
          uploader.removeFile(file,true);// 删除图片上传队列中文件
          $(".uploader-list #"+file.id).remove();// 删除图片预览内容
          $("#btn").hide();// 隐藏开始上传按钮
          $('#filePicker .webuploader-pick').css({'background':'#00b7ee','border':'none','color':'#fff'}).text('选择图片').show();
      })
      // 创建缩略图
      // 如果为非图片文件，可以不用调用此方法。
      // thumbnailWidth x thumbnailHeight 为 100 x 100
      uploader.makeThumb( file, function( error, src ) {
          if ( error ) {
              $img.replaceWith('<span>不能预览</span>');
              return;
          }
          $img.attr( 'src', src );
      }, 100, 100 );
  });
  // 文件上传成功，给item添加成功class, 用样式标记上传成功。
  uploader.on( 'uploadSuccess', function( file ,response) {
      $(".info").text('上传成功')
      uploade_url=response;
  });
  // 文件上传失败，显示上传出错。
  uploader.on( 'uploadError', function( file ) {
      var $li = $( '#'+file.id ),
          $error = $li.find('div.error');
      // 避免重复创建
      if ( !$error.length ) {
          $error = $('<div class="error"></div>').appendTo( $li );
      }
      $error.text('上传失败');
  });
// 开始上传
$("#btn").on( 'click', function() {
  uploader.upload();
});