<?php 
// 判断是否提交删除文件请求
if (!empty($_SERVER['HTTP_X_REQUESTED_WITH'])&&strtolower($_SERVER['HTTP_X_REQUESTED_WITH'])=='xmlhttprequest'&&$_SERVER['REQUEST_METHOD']=='POST') {
	// 删除文件
	unlink('.'.$_POST['uploade_url']);
	// 判断文件删除是否成功
	if (!is_file('.'.$_POST['uploade_url'])) {
		echo json_encode(true);
		die;
	}else{
		echo json_encode(false);
		die;
	}
}
// 判断是否有文件上传提交
if ($_SERVER['REQUEST_METHOD']=='POST'&&!empty($_FILES)) {
	// 设置上传允许文件类型
	$type=array('image/jpeg','image/dmp','image/jpg','image/png','image/gif');
	// 验证文件类型
	if (in_array($_FILES['file']['type'],$type)) {
		// 限制文件大小
		$size=2;//单位M
		$img_size=$size*1024*1024;
		if ($_FILES['file']['size']<=$img_size) {
			// 自定义图片名称
			$img_name=substr(sha1($_FILES['file']['name'].time()),rand(0,10),rand(20,25));
			// 设置文件后缀名
			switch ($_FILES['file']['type']) {
				case 'image/jpeg':
					$img_name.='.jpg';
					break;
				case 'image/dmp':
					$img_name.='.dmp';
					break;
				case 'image/jpg':
					$img_name.='.jpg';
					break;
				case 'image/png':
					$img_name.='.png';
					break;
				case 'image/gif':
					$img_name.='.gif';
					break;
			}
			// 设置文件保存路径
			$img_dir='./Public/'.date('Ymd');
			// 检查文件保存目录
			if (!is_dir($img_dir)) {
				mkdir($img_dir,0777,true);
			}
			if(move_uploaded_file($_FILES['file']['tmp_name'],$img_dir.'/'.$img_name)){
				$url=substr($img_dir.'/'.$img_name,1,strlen($img_dir.'/'.$img_name));
				echo json_encode($url);
				die;
			}
		}else{
			echo json_encode('上传文件大于'.$size.'M');
		die;
		}
	}else{
		echo json_encode('文件类型不规范，请重新上传');
		die;
	}
}
?>
<!DOCTYPE html>
<html lang="cn">
	<head>
		<title>图片上传DEMO-单图</title>
		<meta charset="utf-8" />
		<!-- jQuery库文件 -->
		<script src="http://libs.baidu.com/jquery/1.11.3/jquery.min.js"></script>
		<!-- uploader核心样式文件 -->
		<link rel="stylesheet" type="text/css" href="webuploader/webuploader.css">
		<!-- uploader核心脚本文件 -->
		<script type="text/javascript" src="webuploader/webuploader.js"></script>
		<!-- DEMO样式文件 -->
		<link rel="stylesheet" type="text/css" href="demo.css">
	</head>
	<body>
		<div id="uploader-demo">
            <!--用来存放item-->
            <div id="fileList" class="uploader-list"></div>
            <div id="filePicker">选择图片</div>
            <div id="btn" style="display:none;">开始上传</div>
        </div>
	</body>
	<!-- 上传插件运行文件 -->
	<script type="text/javascript" src="uploader.js"></script>
	<!-- 删除文件运行文件 -->
	<script type="text/javascript" src="uploader_del.js"></script>
</html>